/*
    Copyright 2004 James Nash
                                                                                                
    This file is part of Ganesha.
                                                                                                
    Ganesha is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
                                                                                                
    Ganesha is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
                                                                                                
    You should have received a copy of the GNU General Public License
    along with Ganesha (see the LICENSE file); if not, write to the Free
    Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
    MA  02111-1307  USA
                                                                                                
*/
package com.twiddles.ganesha.functionality;

/**
   Interface for querying and modifying RDF Alt containers.
   An Alt container is a set of objects which are considered
   alternatives. One of them is set as the default object.

   @see RDFContainer
   @author James Nash
*/
public interface RDFAlt extends RDFContainer{


    /**
       Makes the specified object the default one.

       @param index index of the object that should be made default
    */
    void setDefault(int index);

    /**
       Returns the index of the default object.

       @return default object's index
    */
    int getDefault();

}
