/*
    Copyright 2004 James Nash
                                                                                                
    This file is part of Ganesha.
                                                                                                
    Ganesha is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
                                                                                                
    Ganesha is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
                                                                                                
    You should have received a copy of the GNU General Public License
    along with Ganesha (see the LICENSE file); if not, write to the Free
    Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
    MA  02111-1307  USA
                                                                                                
*/
package com.twiddles.ganesha.functionality;

/**
   Interface for querying and modifying an RDF sequence.
   A sequence is an ordered collection of objects.

   @see RDFContainer
   @author James Nash
*/
public interface RDFSeq extends RDFContainer{


    /**
       Moves an object to a different position in the sequence.
       The indices of the other objects in the sequence are
       adjusted accordingly.

       @param from the index of the object to be moved
       @param to the position it should be moved to
    */
    void move(int from, int to);
    
}
