/*
    Copyright 2004 James Nash
                                                                                                
    This file is part of Ganesha.
                                                                                                
    Ganesha is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
                                                                                                
    Ganesha is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
                                                                                                
    You should have received a copy of the GNU General Public License
    along with Ganesha (see the LICENSE file); if not, write to the Free
    Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
    MA  02111-1307  USA
                                                                                                
*/
package com.twiddles.ganesha.gui;

import com.twiddles.ganesha.functionality.*;
/**

   Interface for tables that hold RDF objects.

   @author James Nash

 */
interface ObjectTable{

    /**

       Retrieves the RDF object at a given row.

       @param row the desired row
       @return the RDF object at that row

     */
    RDFObject getObjectAt( int row );


    /**
       Deletes the given row and it's contents from the table and the underlying RDF data.

       @param row the row to delete
    */
    void deleteRow( int row );


}
