/*
    Copyright 2004 James Nash
                                                                                                
    This file is part of Ganesha.
                                                                                                
    Ganesha is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
                                                                                                
    Ganesha is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
                                                                                                
    You should have received a copy of the GNU General Public License
    along with Ganesha (see the LICENSE file); if not, write to the Free
    Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
    MA  02111-1307  USA
                                                                                                
*/
package com.twiddles.ganesha.gui;

import com.twiddles.ganesha.*;
import com.twiddles.ganesha.gui.gfx.*;
import java.awt.*;
import javax.swing.*;
/**
   The Ganesha splash screen.
   Displays the app's logo and version to the user.
*/
class SplashScreen extends JDialog{

    private int WIDTH = 180;
    private int HEIGHT = 345;


    /**
       Constructs a splash screen dialog.

       @param owner the frame this window should be centred on
    */
    public SplashScreen(Frame owner){
	// create a modal window
	super( owner, "About Ganesha", true);

	setResizable( false );
	setSize(WIDTH, HEIGHT);

	// center it above the parent window...
	int xOffset = (( owner.getWidth() - WIDTH) / 2);	    
	int yOffset = (( owner.getHeight() - HEIGHT) / 2);
	setLocation( new Point(( owner.getX() + xOffset ), ( owner.getY() + yOffset )) );

	Container pane = getContentPane();

	
	JLabel picture = new JLabel( GUIIcons.getIcon( GUIIcons.SPLASH_PIC ));
	picture.setIconTextGap( 0 );

	JLabel message =  new JLabel( "<HTML><CENTER>Version "+Ganesha.MAJOR_VERSION+"."+Ganesha.MINOR_VERSION+"<BR> <BR>&copy; James Nash<BR> <BR>This software is distributed under the GNU GPL License<BR> <BR>Please share it with others!</CENTER></HTML>");
	//message.setHorizontalAlignment( SwingConstants.CENTER );
	message.setBorder( BorderFactory.createEmptyBorder(0,5,5,5) );
	message.setOpaque( true );
	message.setBackground( new Color( 112, 112, 112 ) );
	message.setForeground( Color.WHITE );

	pane.add( picture, BorderLayout.NORTH );
	pane.add( message, BorderLayout.CENTER );

    }



}
